<?php
/**
 * DBShop 电子商务系统
 *
 * ==========================================================================
 * @link      https://www.dbshop.net/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbshop.net/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Goods\Controller\Factory;

use Admin\Data\Config;
use Goods\Controller\GoodsTagController;
use Goods\Service\GoodsInTagManager;
use Goods\Service\GoodsManager;
use Goods\Service\GoodsTagManager;
use Interop\Container\ContainerInterface;
use Laminas\Mvc\I18n\Translator;
use Laminas\ServiceManager\Factory\FactoryInterface;

class GoodsTagControllerFactory implements FactoryInterface
{
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        $translator         = $container->get(Translator::class);
        $entityManager      = $container->get(Config::SHOP_DATABASE_MANAGER_WRITE);
        $goodsTagManager    = $container->get(GoodsTagManager::class);
        $goodsInTagManager  = $container->get(GoodsInTagManager::class);
        $goodsManager       = $container->get(GoodsManager::class);

        return new GoodsTagController(
            $translator, $entityManager,
            $goodsTagManager,
            $goodsInTagManager,
            $goodsManager
        );
    }
}