<?php
/**
 * DBShop 电子商务系统
 *
 * ==========================================================================
 * @link      https://www.dbshop.net/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbshop.net/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Goods\Entity;

use Admin\Entity\BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 聚合标签商品
 * @ORM\Entity(repositoryClass="Goods\Repository\GoodsOtherTagGoodsRepository")
 * @ORM\Table(name="dbshop_other_tag_goods")
 */
class GoodsOtherTagGoods extends BaseEntity
{
    /**
     * 自增id
     * @ORM\Id()
     * @ORM\Column(name="other_tag_goods_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $otherTagGoodsId;

    /**
     * 聚合标签id
     * @ORM\Column(name="other_tag_id", type="integer", length=11)
     */
    private $otherTagId;

    /**
     * 商品id
     * @ORM\Column(name="goods_id", type="integer", length=11)
     */
    private $goodsId;

    /**
     * 聚合商品排序
     * @ORM\Column(name="other_tag_goods_sort", type="integer", length=11)
     */
    private $otherTagGoodsSort = 255;

    /**
     * @return mixed
     */
    public function getOtherTagGoodsId()
    {
        return $this->otherTagGoodsId;
    }

    /**
     * @param mixed $otherTagGoodsId
     */
    public function setOtherTagGoodsId($otherTagGoodsId): void
    {
        $this->otherTagGoodsId = $otherTagGoodsId;
    }

    /**
     * @return mixed
     */
    public function getOtherTagId()
    {
        return $this->otherTagId;
    }

    /**
     * @param mixed $otherTagId
     */
    public function setOtherTagId($otherTagId): void
    {
        $this->otherTagId = $otherTagId;
    }

    /**
     * @return mixed
     */
    public function getGoodsId()
    {
        return $this->goodsId;
    }

    /**
     * @param mixed $goodsId
     */
    public function setGoodsId($goodsId): void
    {
        $this->goodsId = $goodsId;
    }

    /**
     * @return mixed
     */
    public function getOtherTagGoodsSort()
    {
        return $this->otherTagGoodsSort;
    }

    /**
     * @param mixed $otherTagGoodsSort
     */
    public function setOtherTagGoodsSort($otherTagGoodsSort): void
    {
        $this->otherTagGoodsSort = $otherTagGoodsSort;
    }
}